Gyoto::Property::getter_t Union Reference

Union holding an accessor to get any type. More...

`#include <GyotoProperty.h>`

## Public Attributes

get_double_t | get_double
get_long_t | get_long
get_unsigned_long_t | get_unsigned_long
get_size_t_t | get_size_t
get_bool_t | get_bool
get_string_t | get_string
get_vector_double_t | get_vdouble
get_vector_unsigned_long_t | get_vulong
get_metric_t | get_metric
get_screen_t | get_screen
get_astrobj_t | get_astrobj
get_spectrum_t | get_spectrum
get_spectrometer_t | get_spectrometer

## Detailed Description

Union holding an accessor to get any type.

Right type is stored in type

The documentation for this union was generated from the following file:

- GyotoProperty.h